/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

jQuery(document).ready(function() {
    start_calculate();
    jQuery('#ffcfcc_distanz').on('change', function() {
        var distanz = jQuery('#ffcfcc_distanz option:selected').val();
        var verkehrsmittel = jQuery('#ffcfcc_verkehrsmittel option:selected').val();
        var anzahl = jQuery('#ffcfcc_anzahl option:selected').val();
        var emissionen = calculate(distanz, verkehrsmittel, anzahl);
        var kompensation = calcKompensation(emissionen, verkehrsmittel, anzahl);
        jQuery('#ffcfcc_co2emissionen').text(emissionen);
        jQuery('#ffcfcc_kompensation').empty();
        jQuery('#ffcfcc_kompensation').append(paintTrees(kompensation));
    });
    jQuery('#ffcfcc_verkehrsmittel').on('change', function() {
        var distanz = jQuery('#ffcfcc_distanz option:selected').val();
        var verkehrsmittel = jQuery('#ffcfcc_verkehrsmittel option:selected').val();
        var anzahl = jQuery('#ffcfcc_anzahl option:selected').val();
        var emissionen = calculate(distanz, verkehrsmittel, anzahl);
        var kompensation = calcKompensation(emissionen, verkehrsmittel, anzahl);
        jQuery('#ffcfcc_co2emissionen').text(emissionen);
        jQuery('#ffcfcc_kompensation').empty();
        jQuery('#ffcfcc_kompensation').append(paintTrees(kompensation));
    });
    jQuery('#ffcfcc_anzahl').on('change', function() {
        var distanz = jQuery('#ffcfcc_distanz option:selected').val();
        var verkehrsmittel = jQuery('#ffcfcc_verkehrsmittel option:selected').val();
        var anzahl = jQuery('#ffcfcc_anzahl option:selected').val();
        var emissionen = calculate(distanz, verkehrsmittel, anzahl);
        var kompensation = calcKompensation(emissionen, verkehrsmittel, anzahl);
        jQuery('#ffcfcc_co2emissionen').text(emissionen);
        jQuery('#ffcfcc_kompensation').empty();
        jQuery('#ffcfcc_kompensation').append(paintTrees(kompensation));
    });
    function start_calculate() {
        jQuery("#ffcfcc_distanz option[value=15]").prop('selected', true);
        var distanz = jQuery('#ffcfcc_distanz option:selected').val();
        var verkehrsmittel = jQuery('#ffcfcc_verkehrsmittel option:selected').val();
        var anzahl = jQuery('#ffcfcc_anzahl option:selected').val();
        var emissionen = calculate(distanz, verkehrsmittel, anzahl);
        var kompensation = calcKompensation(emissionen, verkehrsmittel, anzahl);
        jQuery('#ffcfcc_co2emissionen').text(emissionen);
        jQuery('#ffcfcc_kompensation').empty();
        jQuery('#ffcfcc_kompensation').append(paintTrees(kompensation));
    }
    
    function calculate(distanz, verkehrsmittel, anzahl) {
        var result = 0;
        if (verkehrsmittel === 'Pkw') {
            result = distanz * 0.2 / anzahl;
        } else if (verkehrsmittel === 'ÖPNV') {
            result = distanz * 0.08;
            jQuery("#ffcfcc_anzahl option:contains('1')").prop('selected', true);
        } else if (verkehrsmittel === 'Fahrrad') {
            result = distanz * 0.0;
            jQuery("#ffcfcc_anzahl option:contains('1')").prop('selected', true);
        }
        return result.toFixed(2);
    }
    
    function calcKompensation(emissionen, verkehrsmittel, anzahl) {
        var result = 1;
        if (verkehrsmittel === 'Pkw') {
            emissionen = emissionen * anzahl;
        }
        result = emissionen / 10;
        if (result < 1) {
            result = 1;
        }
        if (verkehrsmittel === 'Fahrrad') {
            result = 0;
        }
        return Math.ceil(result);
    }

    function paintTrees(kompensation) {
        var result = '';
        for ( let i=1; i<=kompensation; i++ ) {
            result = result + '<img src="' + window.location.origin + '/wp-content/plugins/ffc-football-co2-calculator/init/images/tree.png" width="40">';
        }
        return result;
    }
});